<?php

namespace App\Model;

use App\Controller\AuthController;
use App\Gateway\AuthGateway;

class AuthModel {

    public const PASSWORD_CONFIRM_NOT_EQUALS = 0;

    private AuthGateway $gateway;
    /**
     * @param AuthGateway $gateway
     */
    public function __construct(AuthGateway $gateway) {
        $this->gateway = $gateway;
    }


    public function validationRegister(string $username, string $password, string $confirmPassword,string $email): array {
        $errors = [];
        if ($password != $confirmPassword) {
            $errors[] = self::PASSWORD_CONFIRM_NOT_EQUALS;
        }

        else{
            $this->gateway->insertAccount($username,$password,$email);
        }// si pas d'erreurs alors on appelle la gateway

        return $errors;
    }

}